<template>
    <v-list disabled  v-if="ingredients">
        <v-subheader>Ingredients</v-subheader>
        <v-list-item-group color="primary">
            <v-list-item v-for="ingredient in ingredients" :key="ingredient.Id">
                <v-list-item-avatar class="list-item border-primary">
                    <v-img :src="ingredient.Ingredient.ImageLink"></v-img>
                </v-list-item-avatar>
                <v-list-item-content>
                    {{ingredient.ComputedLabel}}
                </v-list-item-content>
            </v-list-item>
        </v-list-item-group>
    </v-list>
</template>

<script lang="ts">
import Vue from "vue";
import Component from "vue-class-component";
import { Prop } from "vue-property-decorator";
import RecipeIngredient from "../../../transport/RecipeIngredient"

@Component
export default class RecipeIngredientsList extends Vue {
  @Prop() private ingredients: RecipeIngredient[];

}
</script>